{ lib, ... }:
{
  dirsInPath =
    path:
    let
      files = builtins.readDir path;
      dirs = lib.filterAttrs (name: kind: kind == "directory") files;
    in
    lib.lists.map (n: "${path}/${n}") (lib.attrNames dirs);
}
